#pragma once

#include "CoreMinimal.h"
#include "BaseDynamicSurvivorSubAnimInstance.h"
#include "S16DynamicSurvivorSubAnimInstance.generated.h"

UCLASS(Blueprintable, NonTransient)
class DBDANIMATION_API US16DynamicSurvivorSubAnimInstance : public UBaseDynamicSurvivorSubAnimInstance
{
	GENERATED_BODY()

protected:
	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	float _notCrouchedSpringStiffness;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	float _crouchedSpringStiffness;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	float _injuredSpringStiffness;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	float _uninjuredSpringStiffness;

	UPROPERTY(EditInstanceOnly, BlueprintReadWrite, Transient)
	float _notCrouchedFloat;

	UPROPERTY(EditInstanceOnly, BlueprintReadWrite, Transient)
	float _isInjuredFloat;

public:
	US16DynamicSurvivorSubAnimInstance();
};

FORCEINLINE uint32 GetTypeHash(const US16DynamicSurvivorSubAnimInstance) { return 0; }
